<?php
/**************************************************************************
 * $Id: StudIPortUserTools.lib.php 4278 2010-08-26 08:55:11Z renner $
 *
 * Copyright (C) 2008, 2009, 2010; Hamburg University of Technology
 *
 * > TECHNICAL REALIZATION
 *   Christian Renner <christian.renner@tu-harburg.de>
 *   Leo Krueger
 *   Sigurd Spieckermann
 *
 * > CONCEPT
 *   Peter Baasch
 *   Detlev Bieler
 *   Thomas Czerwionka
 *   Thomas Hapke
 *   Soenke Knutzen
 *   Corinna Peters
 *   Christian Renner
 *   Volker Turau
 *   Olav Wilde
 *
 **************************************************************************
 * This file is part of "StudIPort 2.0 ePortfolio".
 *
 * "StudIPort 2.0 ePortfolio" is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * "StudIPort 2.0 ePortfolio" is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with "StudIPort 2.0 ePortfolio".
 * If not, see <http://www.gnu.org/licenses/>.
 *
 *************************************************************************/


/**
 * helper function to convert a user dataset into a html list item
 */
function getUserListEntry(&$person, $prefix = "") {
	// shortcut to StudIPort base dir
	$url =& $GLOBALS['STUDIPORT_IMG_URI'];

	// return string
	return '<li id="'. $prefix . $person['user_id'] .'" class="drag"><div class="listTitle">' .
	        Avatar::getAvatar($person['user_id'])->getImageTag(Avatar::SMALL) .
		" " . htmlReady($person['fullname']) .
		'</div><div class="listActions"><a href="about.php?username='. htmlReady($person['username']) .'" target="_blank">' .
		'<img src="'. $url .'/go-home.png" width="16" height="16" alt="ansehen" style="margin-left:10px;" />' .
		'</a></div></li>';
}

?>
